%define         bootstrap 1
%define oname       axis
%define version    1.4
%define archivever 1_4
%define release    2jpp
%define section    free

Name:           axis14
Version:        1.4
Release:        %mkrel 2
Summary:        Apache implementation of the SOAP
License:        The Apache Software License
Group:          Development/Java
Url:            http://ws.apache.org/axis/
Source0:        %{oname}-src-%{archivever}.tar.bz2
Patch0:         unimplemented-dom3-methods.patch
Patch1:         axis-1.4-gcc44_build.patch
BuildRequires:  ant 
BuildRequires:  ant-jdepend
BuildRequires:  ant-nodeps
BuildRequires:  antlr
#BuildRequires:  classpath
BuildRequires:  classpathx-mail
#BuildRequires:  gnu-jaf
BuildRequires:  jakarta-commons-discovery
BuildRequires:  jakarta-commons-httpclient3
BuildRequires:  jakarta-commons-logging
BuildRequires:  jpackage-utils
BuildRequires:  junit 
BuildRequires:  libtool
BuildRequires:  log4j
BuildRequires:  perl
BuildRequires:  servletapi5
BuildRequires:  unzip
BuildRequires:  update-alternatives
BuildRequires:  wsdl4j
BuildRequires:  xerces-j2
#BuildRequires:  java-1_5_0-gcj-compat-devel

# Mandatory requires
# optional requires
Requires:       java
Requires:       jpackage-utils >= 1.5
Requires:       jaf
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-httpclient3
Requires:       javamail
Requires:       jaxp_parser_impl
Requires:       log4j
Requires:       wsdl4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache Axis is an implementation of the SOAP ("Simple Object Access
Protocol") submission to W3C.

%if 0
%package javadoc
License:        The Apache Software License
PreReq:         coreutils
Summary:        Api documentation for axis
Group:          Documentation

%description javadoc
Api documentation for axis

%endif

%package manual
License:        The Apache Software License
Summary:        Manual for axis
Group:          Documentation

%description manual
Manual for axis

%prep
%setup -q -n %{oname}-%{archivever}
%patch0 -p1
%patch1 -p1 -b gcc44-build
# Remove provided binaries
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.zip" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export GC_MAXIMUM_HEAP_SIZE="134217728" #128M
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
CLASSPATH=$(build-classpath wsdl4j jakarta-commons-discovery jakarta-commons-httpclient commons-logging log4j javamail servletapi5)
export CLASSPATH=$CLASSPATH:$(build-classpath oro junit jdepend jimi xml-security jsse httpunit jms castor 2>/dev/null)
export OPT_JAR_LIST="ant/ant-nodeps"
export LC_ALL="en_US.UTF-8" # necessary for javadoc
ant -Dcompile.ime=true \
    -Dwsdl4j.jar=$(build-classpath wsdl4j) \
    -Dcommons-discovery.jar=$(build-classpath jakarta-commons-discovery) \
    -Dcommons-logging.jar=$(build-classpath commons-logging) \
    -Dcommons-httpclient.jar=$(build-classpath jakarta-commons-httpclient3) \
    -Dlog4j-core.jar=$(build-classpath log4j) \
    -Dactivation.jar=$(build-classpath jaf) \
    -Dmailapi.jar=$(build-classpath javamail/mailapi) \
    -Dxerces.jar=$(build-classpath jaxp_parser_impl) \
    -Dservlet.jar=$(build-classpath servletapi5) \
    -Dregexp.jar=$(build-classpath oro 2>/dev/null) \
    -Djunit.jar=$(build-classpath junit 2>/dev/null) \
    -Djimi.jar=$(build-classpath jimi 2>/dev/null) \
    -Djsse.jar=$(build-classpath jsse/jsse 2>/dev/null) \
    -Dsource=1.4 \
    -Dtarget=1.4 \
    clean compile javadocs

%install
### Jar files
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
pushd build/lib
   install -m 644 axis.jar axis-ant.jar saaj.jar jaxrpc.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}
popd
pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
   for jar in *.jar ; do
      vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
      mv $jar $vjar
      ln -fs $vjar $jar
   done
popd
%if 0
### Javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
pushd docs
   rm -fr apiDocs
   ln -fs %{_javadocdir}/%{name} apiDocs
popd
%endif
%clean
rm -rf $RPM_BUILD_ROOT

%if 0
%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc LICENSE README release-notes.html changelog.html
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%if 0
%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%endif

%files manual
%defattr(0644,root,root,0755)
%doc docs/*



%changelog
* Mon Apr 04 2011 dmorgan <dmorgan> 1.4-2.mga1
+ Revision: 80250
- Fix classpath
- Fix classpath

  + wally <wally>
    - fix groups (mga#508)

* Sun Jan 23 2011 dmorgan <dmorgan> 1.4-1.mga1
+ Revision: 35187
- Fix classpath
- Adapt for mageia
- imported package axis14


* Thu May 21 2009 mvyskocil@suse.cz
- fixed build with new gcj44
* Thu Jul 31 2008 mvyskocil@suse.cz
- replace gnu-javamail dependency to classpathx-mail [bnc#411839]
  - the classpathx-foo is consistent with jpackage.org project
* Wed Jul 16 2008 coolo@suse.de
- avoid another build cycle
* Tue Apr 22 2008 mvyskocil@suse.cz
- fixed build with new gcj (memory consupmtion limit)
* Thu Jan 17 2008 skh@suse.de
- remove glibj from build-classpath call as we don't have classpath
  packages
* Wed May  2 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Thu Jan  5 2006 dbornkessel@suse.de
- Current version 1.2.3 from JPackage.org
